<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="mcuboot__logging_8h" kind="file">
    <compoundname>mcuboot_logging.h</compoundname>
    <includes local="no">stdio.h</includes>
    <includedby local="no" refid="bootutil__log_8h">bootutil_log.h</includedby>
    <incdepgraph>
      <node id="38">
        <label>mcuboot_logging.h</label>
        <link refid="mcuboot_logging.h" />
        <childnode refid="39" relation="include">
        </childnode>
      </node>
      <node id="39">
        <label>stdio.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="mcuboot__logging_8h_1abde51419fd9ce2928b6cba955756b50e" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_LEVEL_OFF</name>
        <initializer>0</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="26" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="26" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a3d6601b95a230edfa3ccf33d1f6fde52" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_LEVEL_ERROR</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="27" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="27" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a42e9dcaafb6c14de98692547eb13b5ee" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_LEVEL_WARNING</name>
        <initializer>2</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="28" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="28" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a0f294d2e3c54efb7e602c115955cd30f" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_LEVEL_INFO</name>
        <initializer>3</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="29" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="29" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a34b49f029e2a52b71a69ccf1274e6838" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_LEVEL_DEBUG</name>
        <initializer>4</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="30" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="30" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a142a0788fec6487cefaff127fd4f702c" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_LEVEL</name>
        <initializer>MCUBOOT_LOG_LEVEL_INFO</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="40" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="40" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a8d28716f1acf2ffb0c8f07ca67055d23" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_MODULE_DECLARE</name>
        <param><defname>domain</defname></param>
        <initializer>/* ignore */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="43" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1ad4a949e873147ca8c8ea5f9936d7bea6" kind="define" prot="public" static="no">
        <name>sim_log_enabled</name>
        <param><defname>x</defname></param>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="45" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1aff31e49b3a549edb34aaad24f90e66f9" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_ERR</name>
        <param><defname>_fmt</defname></param>
        <param><defname>...</defname></param>
        <initializer>do {                                                                \
        if (sim_log_enabled(MCUBOOT_LOG_LEVEL_ERROR)) {                 \
            fprintf(stderr, "[ERR] " _fmt "\n\r", ##__VA_ARGS__);         \
        }                                                               \
    } while (0)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="48" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="48" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a8d0209c611a0e88fd7b9a4bbb324d814" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_WRN</name>
        <param><defname>_fmt</defname></param>
        <param><defname>...</defname></param>
        <initializer>do {                                                                \
        if (sim_log_enabled(MCUBOOT_LOG_LEVEL_WARNING)) {               \
            fprintf(stderr, "[WRN] " _fmt "\n\r", ##__VA_ARGS__);         \
        }                                                               \
    } while (0)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="59" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="59" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1aacbff90c9c4fdf5d28fb97c22722e149" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_INF</name>
        <param><defname>_fmt</defname></param>
        <param><defname>...</defname></param>
        <initializer>do {                                                                \
        if (sim_log_enabled(MCUBOOT_LOG_LEVEL_INFO)) {                  \
            fprintf(stderr, "[INF] " _fmt "\n\r", ##__VA_ARGS__);         \
        }                                                               \
    } while (0)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="70" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="70" />
      </memberdef>
      <memberdef id="mcuboot__logging_8h_1a5aec84efbf67d2e9e3a195022f2c8ad1" kind="define" prot="public" static="no">
        <name>MCUBOOT_LOG_DBG</name>
        <param><defname>...</defname></param>
        <initializer>IGNORE(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" bodystart="88" column="10" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" line="88" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*<sp />Copyright<sp />2019<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*<sp />Licensed<sp />to<sp />the<sp />Apache<sp />Software<sp />Foundation<sp />(ASF)<sp />under<sp />one</highlight></codeline>
<codeline lineno="4"><highlight class="comment"><sp />*<sp />or<sp />more<sp />contributor<sp />license<sp />agreements.<sp /><sp />See<sp />the<sp />NOTICE<sp />file</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />distributed<sp />with<sp />this<sp />work<sp />for<sp />additional<sp />information</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*<sp />regarding<sp />copyright<sp />ownership.<sp /><sp />The<sp />ASF<sp />licenses<sp />this<sp />file</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />to<sp />you<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />"License");<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*<sp />with<sp />the<sp />License.<sp /><sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*<sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />software<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*<sp />"AS<sp />IS"<sp />BASIS,<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.<sp /><sp />See<sp />the<sp />License<sp />for<sp />the</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*<sp />specific<sp />language<sp />governing<sp />permissions<sp />and<sp />limitations</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />MCUBOOT_LOGGING_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOGGING_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdio.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_LEVEL_OFF<sp /><sp /><sp /><sp /><sp /><sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_LEVEL_ERROR<sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_LEVEL_WARNING<sp /><sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_LEVEL_INFO<sp /><sp /><sp /><sp /><sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_LEVEL_DEBUG<sp /><sp /><sp /><sp />4</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="34"><highlight class="comment"><sp />*<sp />The<sp />compiled<sp />log<sp />level<sp />determines<sp />the<sp />maximum<sp />level<sp />that<sp />can<sp />be</highlight></codeline>
<codeline lineno="35"><highlight class="comment"><sp />*<sp />printed.<sp /><sp />Messages<sp />at<sp />or<sp />below<sp />this<sp />level<sp />can<sp />be<sp />printed,<sp />provided</highlight></codeline>
<codeline lineno="36"><highlight class="comment"><sp />*<sp />they<sp />are<sp />also<sp />enabled<sp />through<sp />the<sp />Rust<sp />logging<sp />system,<sp />such<sp />as<sp />by</highlight></codeline>
<codeline lineno="37"><highlight class="comment"><sp />*<sp />setting<sp />RUST_LOG<sp />to<sp />bootsim::api=info.</highlight></codeline>
<codeline lineno="38"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />MCUBOOT_LOG_LEVEL</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_LEVEL<sp />MCUBOOT_LOG_LEVEL_INFO</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_MODULE_DECLARE(domain)<sp /></highlight><highlight class="comment">/*<sp />ignore<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#define<sp />sim_log_enabled(x)<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#if<sp />MCUBOOT_LOG_LEVEL<sp />&gt;=<sp />MCUBOOT_LOG_LEVEL_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_ERR(_fmt,<sp />...)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="49"><highlight class="preprocessor"><sp /><sp /><sp /><sp />do<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="50"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />if<sp />(sim_log_enabled(MCUBOOT_LOG_LEVEL_ERROR))<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="51"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fprintf(stderr,<sp />"[ERR]<sp />"<sp />_fmt<sp />"\n\r",<sp />##__VA_ARGS__);<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="52"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="53"><highlight class="preprocessor"><sp /><sp /><sp /><sp />}<sp />while<sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_ERR(...)<sp />IGNORE(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#if<sp />MCUBOOT_LOG_LEVEL<sp />&gt;=<sp />MCUBOOT_LOG_LEVEL_WARNING</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_WRN(_fmt,<sp />...)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="60"><highlight class="preprocessor"><sp /><sp /><sp /><sp />do<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="61"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />if<sp />(sim_log_enabled(MCUBOOT_LOG_LEVEL_WARNING))<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="62"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fprintf(stderr,<sp />"[WRN]<sp />"<sp />_fmt<sp />"\n\r",<sp />##__VA_ARGS__);<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="63"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="64"><highlight class="preprocessor"><sp /><sp /><sp /><sp />}<sp />while<sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_WRN(...)<sp />IGNORE(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#if<sp />MCUBOOT_LOG_LEVEL<sp />&gt;=<sp />MCUBOOT_LOG_LEVEL_INFO</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_INF(_fmt,<sp />...)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="71"><highlight class="preprocessor"><sp /><sp /><sp /><sp />do<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="72"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />if<sp />(sim_log_enabled(MCUBOOT_LOG_LEVEL_INFO))<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="73"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fprintf(stderr,<sp />"[INF]<sp />"<sp />_fmt<sp />"\n\r",<sp />##__VA_ARGS__);<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="74"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="75"><highlight class="preprocessor"><sp /><sp /><sp /><sp />}<sp />while<sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_INF(...)<sp />IGNORE(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="preprocessor">#if<sp />MCUBOOT_LOG_LEVEL<sp />&gt;=<sp />MCUBOOT_LOG_LEVEL_DEBUG</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_DBG(_fmt,<sp />...)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="82"><highlight class="preprocessor"><sp /><sp /><sp /><sp />do<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="83"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />if<sp />(sim_log_enabled(MCUBOOT_LOG_LEVEL_DEBUG))<sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fprintf(stderr,<sp />"[DBG]<sp />"<sp />_fmt<sp />"\n\r",<sp />##__VA_ARGS__);<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="85"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="86"><highlight class="preprocessor"><sp /><sp /><sp /><sp />}<sp />while<sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MCUBOOT_LOG_DBG(...)<sp />IGNORE(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />MCUBOOT_LOGGING_H<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/mcuboot_header/mcuboot_config/mcuboot_logging.h" />
  </compounddef>
</doxygen>